org.apache.tinkerpop.gremlin.groovy.loaders

## Class SugarLoader.ElementCategory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.loaders.SugarLoader.ElementCategory

- All Implemented Interfaces:
    groovy.lang.GroovyObject
  Enclosing class:
    SugarLoader

      public static class SugarLoader.ElementCategory
      extends Object
      implements groovy.lang.GroovyObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementCategory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `get(Element element, String key)`
    `groovy.lang.MetaClass` | `getMetaClass()`
    `Object` | `getProperty(String property)`
    `Object` | `invokeMethod(String method, Object arguments)`
    `static Object` | `set(Element element, String key, Object value)`
    `void` | `setMetaClass(groovy.lang.MetaClass mc)`
    `void` | `setProperty(String property, Object value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementCategory

          public ElementCategory()

  - ### Method Detail

    - #### getMetaClass

          public groovy.lang.MetaClass getMetaClass()

      Specified by:
        `getMetaClass` in interface `groovy.lang.GroovyObject`

    - #### setMetaClass

          public void setMetaClass(groovy.lang.MetaClass mc)

      Specified by:
        `setMetaClass` in interface `groovy.lang.GroovyObject`

    - #### invokeMethod

          public Object invokeMethod(String method,
                                     Object arguments)

      Specified by:
        `invokeMethod` in interface `groovy.lang.GroovyObject`

    - #### getProperty

          public Object getProperty(String property)

      Specified by:
        `getProperty` in interface `groovy.lang.GroovyObject`

    - #### setProperty

          public void setProperty(String property,
                                  Object value)

      Specified by:
        `setProperty` in interface `groovy.lang.GroovyObject`

    - #### get

          public static final Object get(Element element,
                                         String key)

    - #### set

          public static final Object set(Element element,
                                         String key,
                                         Object value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.